> For the complete documentation index, see [llms.txt](https://docs.carbondefi.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getliquiditybypair.md).

# getLiquidityByPair

This function gets the total amount of liquidity available for a given token pair.

```
public async getLiquidityByPair(sourceToken: string, targetToken: string)
```

<table><thead><tr><th width="166.33333333333331">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>sourceToken</td><td>token address</td><td>The first token in the pair.</td></tr><tr><td>targetToken</td><td>token address</td><td>The second token in the pair.</td></tr></tbody></table>

### Returns

The total amount of liquidity contained by strategies in the pair.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getliquiditybypair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
